package tw

import (
	"time"
)

type Server struct {
	Key string
	URL string
}

type OpponentsDefeated struct {
	RankAtt    int
	ScoreAtt   int
	RankDef    int
	ScoreDef   int
	RankSup    int
	ScoreSup   int
	RankTotal  int
	ScoreTotal int
}

type Tribe struct {
	OpponentsDefeated

	ID          int
	Name        string
	Tag         string
	NumMembers  int
	NumVillages int
	Points      int
	AllPoints   int
	Rank        int
	ProfileURL  string
}

type Player struct {
	OpponentsDefeated

	ID          int
	Name        string
	NumVillages int
	Points      int
	Rank        int
	TribeID     int
	ProfileURL  string
}

type Village struct {
	ID         int
	Name       string
	Points     int
	X          int
	Y          int
	Continent  string
	Bonus      int
	PlayerID   int
	ProfileURL string
}

type Ennoblement struct {
	VillageID  int
	NewOwnerID int
	NewTribeID int
	OldOwnerID int
	OldTribeID int
	Points     int
	CreatedAt  time.Time
}
