package domain

type NullValue[T any] struct {
	Value T
	Valid bool // Valid is true if Value is not NULL
}

type NullInt = NullValue[int]

type NullString = NullValue[string]

type NullBool = NullValue[bool]
